cpp11_msgpack_tuple.hpp File Reference
`#include "msgpack/v1/adaptor/detail/cpp11_msgpack_tuple_decl.hpp"`
`#include "msgpack/adaptor/adaptor_base.hpp"`
`#include "msgpack/pack.hpp"`

Go to the source code of this file.

## Classes

struct | msgpack::MsgpackTuplePacker< Stream, Tuple, N >
struct | msgpack::MsgpackTuplePacker< Stream, Tuple, 1 >
struct | msgpack::MsgpackTuplePacker< Stream, Tuple, 0 >
struct | msgpack::adaptor::pack< msgpack::type::tuple< Args... > >
struct | msgpack::MsgpackTupleAsImpl< T, Args >
struct | msgpack::MsgpackTupleAs< Args >
struct | msgpack::MsgpackTupleAs<>
struct | msgpack::MsgpackTupleConverter< Tuple, N >
struct | msgpack::MsgpackTupleConverter< Tuple, 1 >
struct | msgpack::MsgpackTupleConverter< Tuple, 0 >
struct | msgpack::adaptor::as< msgpack::type::tuple< Args... >, typename std::enable_if< msgpack::any_of< msgpack::has_as, Args... >::value >::type >
struct | msgpack::adaptor::convert< msgpack::type::tuple< Args... > >
struct | msgpack::MsgpackTupleToObjectWithZone< Tuple, N >
struct | msgpack::MsgpackTupleToObjectWithZone< Tuple, 1 >
struct | msgpack::MsgpackTupleToObjectWithZone< Tuple, 0 >
struct | msgpack::adaptor::object_with_zone< msgpack::type::tuple< Args... > >

## Namespaces

| msgpack
| msgpack::type
| msgpack::adaptor

## Functions

template<class... Args>
tuple< Args... > | msgpack::type::make_tuple (Args &&... args)
template<class... Args>
tuple< Args &&... > | msgpack::type::forward_as_tuple (Args &&... args) noexcept
template<class... Tuples>
auto | msgpack::type::tuple_cat (Tuples &&... args) -> decltype(std::tuple_cat(std::forward< typename std::remove_reference< Tuples >::type::base >(args)...))
template<class... Args>
tuple< Args &... > | msgpack::type::tie (Args &... args)